| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::activity_secrets Struct Reference

Secrets for Rich Presence joining and spectating. More...

`#include <presence.h>`

Collaboration diagram for dpp::activity_secrets:
[legend]

## Public Member Functions

| activity_secrets ()=default

## Public Attributes

std::string | join
| The secret for joining a party.
std::string | match
| The secret for a specific instanced match.
std::string | spectate
| The secret for spectating a game.

## Detailed Description

Secrets for Rich Presence joining and spectating.

## Constructor & Destructor Documentation

## ◆ activity_secrets()

dpp::activity_secrets::activity_secrets | ( |  | ) |

default

Constructor

## Member Data Documentation

## ◆ join

std::string dpp::activity_secrets::join

The secret for joining a party.

## ◆ match

std::string dpp::activity_secrets::match

The secret for a specific instanced match.

## ◆ spectate

std::string dpp::activity_secrets::spectate

The secret for spectating a game.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0